Author: Vincent Carmona <vinc4mai@gmail.com>
Description: Fix require bug
 * "require 'taglib2'" was loading taglib2.so instead of taglib2.rb
--- a/extconf.rb
+++ b/extconf.rb
@@ -28,4 +28,4 @@
 if ARGV.include?("--compat")
 	($INSTALLFILES ||= []) << ["compat/taglib.rb", "$(RUBYLIBDIR)", 'compat']
 end
-create_makefile("taglib2")
+create_makefile("taglib2_ext")
--- a/lib/taglib2.rb
+++ b/lib/taglib2.rb
@@ -19,7 +19,7 @@
     Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 =end
 
-require "taglib2.so"
+require "taglib2_ext.so"
 
 #:main: TagLib::File
 module TagLib
--- a/taglib2.c
+++ b/taglib2.c
@@ -372,7 +372,7 @@
 }
 
 void
-Init_taglib2()
+Init_taglib2_ext()
 {
 /*
 ruby-taglib2 is a Ruby interface to TagLib, the audio meta-data library.
